What is required to migrate active TPX VSAM databases when upgrading to new TPX release.

Document ID : KB000011195
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

What is required to migrate active TPX VSAM databases when upgrading to new TPX release.

Answer:

If migrating to a new release of TPX - 5.3 to 5.4 is supported -  The same VSAM files can be used

If migrating from 5.2 or lower release, contact CA TPX support.

  • Use the provided sample to ALLOCate the new  TPX databases.
  • Take an IDCAMs backup (flat file) of your current TPX VSAM files . (TPX should be inactive)
  • REPRO the flat files into the new allocated files.
  • You MUST run RESET INTEGRITY on the new VSAM databases (Use BATCHINI) before starting TPX.